@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;600;700&display=swap');
:root {
    --mainColor: #4f5984;
    --text-color-1: #444;
    --text-color-2: #666;
    --bg-color-1: #fff;
    --bg-color-2: #eee;
    --box-shadow: 0 .5rem 1.5rem rgba(0, 0, 0, .1);
}

canvas {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
}

@keyframes zoomOut {
    0% {
        opacity: 0;
        transform: scale(1.5);
    }
    100% {
        opacity: 1;
        transform: scale(1);
    }
}

@keyframes floating {
    0% {
        opacity: 1;
        transform: translateY(0px);
    }
    50% {
        transform: translateY(-10px);
    }
    100% {
        opacity: 1;
        transform: translateY(0px);
    }
}

@keyframes slideLeft {
    0% {
        opacity: 0;
        transform: translateX(-30px);
    }
    100% {
        opacity: 1;
        transform: translateX(0);
    }
}

@keyframes zoomIn {
    0% {
        opacity: 0;
        transform: scale(0.5);
    }
    100% {
        opacity: 1;
        transform: scale(1);
    }
}

* {
    font-family: 'Poppins', sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: none;
    border: none;
    text-decoration: none;
    text-transform: capitalize;
    transition: all .3s linear;
}

html {
    font-size: 62.5%;
    overflow-x: hidden;
    scroll-padding-top: 7rem;
    scroll-behavior: smooth;
}

html::-webkit-scrollbar {
    width: .8rem;
}

html::-webkit-scrollbar-track {
    background: transparent;
}

html::-webkit-scrollbar-thumb {
    background: var(--mainColor);
    border-radius: 5rem;
}

body {
    background: var(--bg-color-2);
}

body.active {
    --text-color-1: #fff;
    --text-color-2: #eee;
    --bg-color-1: #333;
    --bg-color-2: #222;
    --box-shadow: 0 .5rem 1.5rem rgba(0, 0, 0, .4);
}

section {
    padding: 2rem 7%;
}

.heading {
    text-align: center;
    padding-bottom: 2rem;
    color: var(--text-color-1);
    font-size: 4rem;
}

.heading span {
    position: relative;
    z-index: 0;
}

.heading span::before {
    content: '';
    position: absolute;
    bottom: 1rem;
    left: 0;
    z-index: -1;
    background: var(--mainColor);
    height: 100%;
    width: 100%;
    clip-path: polygon(0 90%, 100% 83%, 100% 100%, 0% 100%);
}

.btn {
    margin-top: 1rem;
    display: inline-block;
    padding: .8rem 3rem;
    font-size: 1.7rem;
    color: #fff;
    background: var(--mainColor);
    border-radius: .5rem;
    cursor: pointer;
}

.btn:hover {
    letter-spacing: .2rem;
}

.header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    background: var(--bg-color-1);
    box-shadow: var(--box-shadow);
    padding: 1.5rem 7%;
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.header .logo {
    font-weight: bolder;
    font-size: 2.5rem;
    color: var(--mainColor);
}

.header .icons div {
    height: 4.5rem;
    width: 4.5rem;
    line-height: 4.5rem;
    font-size: 2rem;
    border-radius: .5rem;
    margin-left: .5rem;
    background: var(--bg-color-2);
    color: var(--text-color-1);
    cursor: pointer;
    text-align: center;
}

.header .icons div:hover {
    color: #fff;
    background: var(--mainColor);
}

.header .navbar {
    position: absolute;
    top: 115%;
    right: 7%;
    background: var(--bg-color-1);
    border-radius: .5rem;
    box-shadow: var(--box-shadow);
    width: 25rem;
    transform: scale(0);
    transform-origin: top right;
}

.header .navbar.active {
    transform: scale(1);
}

.header .navbar a {
    display: block;
    margin: 1rem;
    padding: 1rem;
    font-size: 1.5rem;
    color: var(--text-color-1);
    border-radius: .5rem;
}

.header .navbar a:hover {
    color: var(--mainColor);
    background: var(--bg-color-2);
    padding-left: 2rem;
}

.home {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 1.5rem;
    padding-top: 8rem;
}

.home .image {
    flex: 1 1 45rem;
}

.home .image img {
    width: 100%;
}

.home .content {
    flex: 1 1 45rem;
}

.home .content h3{
    color: var(--text-color-1);
    font-size: 4rem;
}

.home .content h5 {
    color: var(--text-color-1);
    font-size: 2.5rem;
}

.home .content p {
    color: var(--text-color-2);
    font-size: 1.7rem;
    line-height: 1.7;
    padding: 1rem 0;
}

.packages .box-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(30rem, 1fr));
    gap: 1.5rem;
}

.box-container {
    padding-bottom: 80px;
}

.packages .box-container .box {
    background: var(--bg-color-1);
    border-radius: .5rem;
    box-shadow: var(--box-shadow);
    padding: 25px;
}

.packages .box-container .box .image {
    height: 25rem;
    width: 100%;
    padding: 1.5rem;
    position: relative;
}

.packages .box-container .box .image img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    border-radius: .5rem;
}

.packages .box-container .box h3 {
    font-size: 2rem;
    color: var(--mainColor);
    font-size:x-large;
    border-radius: .5rem;
    padding: .5rem 1.5rem;
    font-weight: 600;
}

.packages .box-container .box .image h3 i {
    color: var(--mainColor);
}

.packages .box-container .box .content {
    padding: 1.5rem;
    padding-top: 0;
}

.packages .box-container .box .content .price {
    font-weight: 600;
    color: var(--text-color-1);
    font-size: 2.5rem;
}

.packages .box-container .box .content .price span {
    font-weight: lighter;
    color: var(--text-color-2);
    font-size: 1.5rem;
    text-decoration: line-through;
}

.packages .box-container .box .content p {
    font-size: 1.5rem;
    padding: .5rem 0;
    color: var(--text-color-2);
    line-height: 1.7;
}

.services .box-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(30rem, 1fr));
    gap: 1.5rem;
}

.services .box-container .box {
    background: var(--bg-color-1);
    border-radius: .5rem;
    box-shadow: var(--box-shadow);
    position: relative;
    padding: 2rem;
}

.services .box-container .box span {
    position: absolute;
    top: .5rem;
    right: 2rem;
    color: var(--text-color-2);
    font-weight: bolder;
    font-size: 5rem;
}

.services .box-container .box i {
    height: 6rem;
    width: 6rem;
    line-height: 6rem;
    text-align: center;
    font-size: 2.5rem;
    color: #fff;
    background: var(--mainColor);
    border-radius: 50%;
    margin-bottom: .5rem;
}

.services .box-container .box h3 {
    color: var(--mainColor);
    font-size: 2.3rem;
    padding: .7rem 0;
}

.services .box-container .box p {
    color: var(--text-color-2);
    font-size: 1.5rem;
    line-height: 1.8;
}

.pricing .box-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(30rem, 1fr));
    gap: 1.5rem;
}

.pricing .box-container .box {
    background: var(--bg-color-1);
    border-radius: .5rem;
    box-shadow: var(--box-shadow);
    padding: 2rem;
    text-align: center;
}

.pricing .box-container .box h3 {
    padding: 1rem;
    background: var(--bg-color-2);
    border-radius: .5rem;
    font-size: 2rem;
    color: var(--mainColor);
}

.pricing .box-container .box .price {
    padding-top: 2rem;
}

.pricing .box-container .box .price span {
    font-size: 2rem;
    color: var(--text-color-2);
}

.pricing .box-container .box .price .amount {
    font-size: 5rem;
    color: var(--text-color-1);
    font-weight: bolder;
}

.pricing .box-container .box ul {
    padding: .5rem 0;
    list-style: none;
}

.pricing .box-container .box ul li {
    padding: 1rem 0;
    font-size: 1.7rem;
    color: var(--text-color-2);
}

.review .review-slider {
    box-shadow: var(--box-shadow);
}

.review .review-slider .slide {
    background: var(--bg-color-1);
    border-radius: .5rem;
    text-align: center;
    padding: 3rem;
}

.review .review-slider .slide img {
    height: 10rem;
    width: 10rem;
    border-radius: 50%;
    object-fit: cover;
    margin-bottom: .5rem;
}

.review .review-slider .slide h3 {
    font-size: 2.5rem;
    color: var(--text-color-1);
}

.review .review-slider .slide p {
    font-size: 1.6rem;
    color: var(--text-color-2);
    line-height: 1.7;
    padding: 1rem 0;
}

.review .review-slider .slide .stars {
    padding: 1rem 0;
    padding-bottom: 1.5rem;
}

.review .review-slider .slide .stars i {
    font-size: 2rem;
    color: var(--mainColor);
}

.swiper-pagination-bullet-active {
    background: var(--mainColor);
}

.contact .heading {
    flex: 1 1 1;
    width: 100%;
    display: block;
}

.contact {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 1.5rem;
    padding-top: 7rem;
}

.contact .image {
    margin: 0 auto;
    flex: 1 1 45rem;
}

.contact .contact-info {
    flex: 1 1 45rem;
    margin: auto;
    padding-top: 70px;
}

.contact .contact-info .box-container .box h3 {
    font-size: 2.5rem;
    padding: 20px;
    background-color: var(--bg-color-2);
    border-radius: .5rem;
}

.contact .contact-info .box-container .box ul li {
    padding: 15px;
    padding-left: 25px;
    font-size: 2rem;
    font-weight: bold;
    list-style: none;
    color: var(--text-color-2);
}

.contact .contact-info .box-container .box ul li span {
    color: var(--mainColor);
}

.contact .contact-info .box-container .box ul li:hover {
    color: var(--mainColor);
    background: var(--bg-color-2);
    padding-left: 5rem;
    border-radius: .5rem;
    cursor: pointer;
}

.contact .contact-info .box-container .box {
    background: var(--bg-color-1);
    border-radius: .5rem;
    box-shadow: var(--box-shadow);
    padding: 25px;
    color: var(--mainColor);
}

.contact f .footer {
    background: var(--bg-color-1);
}

.footer .box-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(22rem, 1fr));
    gap: 1.5rem;
}

.footer .box-container .box h3 {
    font-size: 2.5rem;
    color: var(--text-color-1);
    padding: 1rem 0;
}

.footer .box-container .box a {
    display: block;
    font-size: 1.5rem;
    color: var(--text-color-2);
    padding: 1rem 0;
}

.footer .box-container .box a i {
    padding-right: .5rem;
    color: var(--mainColor);
}

.footer .box-container .box a:hover i {
    padding-right: 2rem;
}

.footer .credit {
    font-size: 2rem;
    text-align: center;
    border-top: .1rem solid var(--text-color-2);
    padding: 1rem;
    padding-top: 2rem;
    margin-top: 2rem;
    color: var(--text-color-2);
}

.footer .credit span {
    color: var(--mainColor);
}


/* media queries  */

@media (max-width:991px) {
    html {
        font-size: 55%;
    }
    .header {
        padding: 1.5rem 2rem;
    }
    section {
        padding: 2rem;
    }
}

@media (max-width:768px) {
    .header .navbar {
        right: 1rem;
    }
}

@media (max-width:600px) {
    html {
        font-size: 50%;
    }
    .header .navbar {
        right: 1rem;
    }
    .home {
        padding-top: 15rem;
    }
}